> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Staking Status

> Get staking status for a wallet. Returns estimated completion times for active staking requests.



## OpenAPI

````yaml get /v1/portfolios/{portfolio_id}/wallets/{wallet_id}/staking/status
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/portfolios/{portfolio_id}/wallets/{wallet_id}/staking/status:
    get:
      tags:
        - Staking
      summary: Get Staking Status
      description: >-
        Get staking status for a wallet. Returns estimated completion times for
        active staking requests.
      operationId: PrimeRESTAPI_GetStakingStatus
      parameters:
        - name: portfolio_id
          in: path
          description: The portfolio ID
          required: true
          schema:
            type: string
        - name: wallet_id
          in: path
          description: The wallet ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.GetStakingStatusResponse
components:
  schemas:
    coinbase.public_rest_api.GetStakingStatusResponse:
      required:
        - current_timestamp
        - portfolio_id
        - validators
        - wallet_address
        - wallet_id
      type: object
      properties:
        portfolio_id:
          type: string
          description: The portfolio ID
        wallet_id:
          type: string
          description: The wallet ID
        wallet_address:
          type: string
          description: The wallet address
        current_timestamp:
          type: string
          description: Current timestamp at time of API call
          format: date-time
          example: '2025-10-17T15:30:00.000Z'
        validators:
          type: array
          description: List of validators with staking information for this wallet
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.ValidatorStakingInfo'
    coinbase.public_rest_api.ValidatorStakingInfo:
      required:
        - statuses
        - validator_address
      type: object
      properties:
        validator_address:
          type: string
          description: The validator address (public key)
        statuses:
          type: array
          description: List of active staking requests for this validator
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.StakingStatus'
    coinbase.public_rest_api.StakingStatus:
      required:
        - amount
        - estimated_hours_to_stake
        - estimated_stake_date
        - stake_type
      type: object
      properties:
        amount:
          type: string
          description: Amount being staked (whole amount, e.g., 16 ETH)
          example: '16'
        stake_type:
          $ref: '#/components/schemas/coinbase.public_rest_api.StakeType'
        estimated_stake_date:
          type: string
          description: Estimated date when staking will complete (ISO 8601 format)
          format: date-time
          example: '2025-10-27T00:00:00.000Z'
        estimated_hours_to_stake:
          type: integer
          description: Estimated hours until this staking request completes
          format: int64
          example: 672
        requested_at:
          type: string
          description: Timestamp when the stake request was originally created
          format: date-time
          example: '2025-09-29T12:00:00.000Z'
    coinbase.public_rest_api.StakeType:
      type: string
      default: STAKE_TYPE_UNSPECIFIED
      enum:
        - STAKE_TYPE_UNSPECIFIED
        - STAKE_TYPE_INITIAL_DEPOSIT
        - STAKE_TYPE_TOP_UP

````